Skip to main content
POST
/
projects
/
{project_name}
/
tables
Create a new table
curl --request POST \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "settings": {}
}
'
import requests

url = "https://api.cloudsquid.io/api/projects/{project_name}/tables"

payload = {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"settings": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '2023-11-07T05:31:56Z',
settings: {}
})
};

fetch('https://api.cloudsquid.io/api/projects/{project_name}/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "settings": {}
}
{
"errorMessage": "<string>"
}
{
"errorMessage": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

the name of the project

Body

application/json

Table Configuration

name
string
required

name of the table

type
enum<string>
required

the type of the table

Available options:
Extraction,
Reconcile,
Storage
id
string<uuid>

id of the table

created_at
string<date-time>

time the table was created

settings
object

settings of the table

Response

Successfully created table

Table Configuration

name
string
required

name of the table

type
enum<string>
required

the type of the table

Available options:
Extraction,
Reconcile,
Storage
id
string<uuid>

id of the table

created_at
string<date-time>

time the table was created

settings
object

settings of the table